Will upgrading to snow leopard allow me to use the Magic Trackpad even though magic track pad needs to run on Mac OS X v10.6.4

  • Asked about:  Mac OS X 10.6 Snow Leopard

No Answers have been submitted